attribute vec4 gl_Vertex;
attribute vec3 gl_Normal;

attribute int pickID;


uniform mat4 gl_ModelViewProjectionMatrix;
uniform mat4 gl_ModelViewMatrix;
uniform mat3 gl_NormalMatrix;

varying vec3 position;
varying vec3 normal;
varying vec4 pick;

void main(void)
{
    normal = normalize(gl_NormalMatrix * gl_Normal);
    position = vec3(gl_ModelViewMatrix *gl_Vertex);

    pick = vec4(pickID);
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;


}

